backend:
  name: azure
  repo: shodangym/shodan-gym.de/shodan-gym.de # replace with customer Azure DevOps repo path
  tenant_id: 370d585a-c5c3-4bbc-865b-f070caab584a # replace with customer tenant ID
  app_id: 87aa3a40-fe06-43df-aa68-9a51ece3dd84 # replace with customer app ID
  branch: main
media_folder: "src/assets/images" # Location where files will be stored in the repo
public_folder: "../../assets/images" # The src attribute for uploaded media
collections:
  - name: "gym" # Used in routes, e.g., /admin/collections/blog
    label: "Gym" # Used in the UI
    folder: "src/content/gym" # The path to the folder where the documents are stored
    create: true # Allow users to create new documents in this collection
    fields: # The fields for each document, usually in frontmatter
      - { label: "Titel", name: "title", widget: "string" }
      - { label: "Inhalt", name: "body", widget: "markdown", required: false  }
      - { label: "Bild", name: "image", widget: "image" }
      - { label: "Top 6 Icon (mdi:name von https://icon-sets.iconify.design/mdi/)", name: "icon", widget: "string", required: false }
      - { label: "Top 6 (die 6 kleinsten Zahlen werden auf Home angezeigt)", name: "top6", widget: "number", default: 50 }
      - { label: "Werbeteaser", name: "teaser", widget: "string", required: false  }
      
  - name: "events" # Used in routes, e.g., /admin/collections/blog
    label: "Events" # Used in the UI
    folder: "src/content/events" # The path to the folder where the documents are stored
    create: true # Allow users to create new documents in this collection
    fields: # The fields for each document, usually in frontmatter
      - { label: "Titel", name: "title", widget: "string" }
      - { label: "Inhalt", name: "body", widget: "markdown", required: false  }
      - { label: "Datum", name: "date", widget: "datetime",
          date_format: "DD.MM.YYYY" }
      - { label: "Datum Ende", name: "dateend", widget: "datetime",
          date_format: "DD.MM.YYYY", required: false }
      - { label: "Bild", name: "image", widget: "image" }
      - { label: "Kategorie", name: "category", widget: "select", default: "Turnier",
          options: [ "Hall of Fame","Turnier","Veranstaltung","Prüfung" ] 
        }
      - { label: "Werbeteaser", name: "teaser", widget: "string", required: false  }

  - name: "kurse"
    label: "Kurse"
    folder: "src/content/kurse"
    create: true
    fields:
      - { name: "title", label: "Titel", widget: "string" }
      - { label: "Kategorie", name: "category", widget: "select", default: "Karate",
          options: [ "Fitness", "Kampfsport", "Karate", "Gym" ] 
      }
      - label: "Kurszeiten"
        name: "trainings"
        widget: "list"
        fields:
          - { name: "wochentag", label: "Wochentag (Mo = 1)", widget: "number", min: 1, max: 6 }
          - { name: "position", label: "Position (0-5)", widget: "number", min: 0, max: 5 }
          - { name: "raum", label: "Raum", widget: "string", default: "Raum 1" }
          - { name: "von", label: "Von", widget: "string" }
          - { name: "bis", label: "Bis", widget: "string" }

  - name: "data"
    label: "Grundkonfiguration"
    files:
    - name: "footer"
      label: "Footer Links"
      file: "src/content/data/footer.json"  # Path to your JSON file
      fields:
        - label: "Columns"
          name: "columns"
          widget: "list"
          fields:
            - label: "Title"
              name: "title"
              widget: "string"
            - label: "Links"
              name: "links"
              widget: "list"
              fields:
                - label: "Label"
                  name: "label"
                  widget: "string"
                - label: "URL"
                  name: "url"
                  widget: "string"
    - name:  "company"
      label: "Standardwerte"
      file:  "src/content/data/company.json"
      format: "json"
      fields:
          - { name: "companyName", label: "Firmenname", widget: "string" }
          - { name: "defaultAuthor", label: "Standard Author", widget: "string" }
          - { name: "defaultTitle", label: "Standard HTML-Titel", widget: "string" }
          - { name: "url", label: "Domain (nicht ändern!)", widget: "string" }
          - { name: "openGraphDefaultImagePath", label: "WhatsApp-Standard-Bild (nicht ohne weiteres ändern!)", widget: "string" }
          - { name: "mainCallToAction1", label: "Button1 Startseite (text, link, icon (optional))", widget: "list", allow_add: true, summary: "Button1: {{fields.tags}}" }
          - { name: "mainCallToAction2", label: "Button2 Startseite (text, link, icon (optional))", widget: "list", allow_add: true, summary: "Button2: {{fields.tags}}" }
          - { name: "startSiteLogoTopLeft", label: "Startseitenlogo oben links", widget: "image" }
    - name:  "startpageconfig"
      label: "Konfiguration Startseite"
      file:  "src/content/data/startpageConfig.json"
      format: "json"
      fields:
        - label: "Drei Header Bilder ganz oben"
          name: "threeHeaderImages"
          widget: "object"
          fields:
            - { label: "Bild 1", name: "image1", widget: "image" }
            - { label: "Bild 1 Beschreibung", name: "image1Alt", widget: "string" }
            - { label: "Bild 2", name: "image2", widget: "image" }
            - { label: "Bild 2 Beschreibung", name: "image2Alt", widget: "string" }
            - { label: "Bild 3", name: "image3", widget: "image" }
            - { label: "Bild 3 Beschreibung", name: "image3Alt", widget: "string" }
        - label: "Zwei HauptBilder/Logos"
          name: "mainLogos"
          widget: "object"
          fields:
            - { label: "Medienobjekt 1 Quell-URL", name: "mainLogo1Url", widget: "string" }
            - { label: "Medienobjekt 1 Medienbeschreibung", name: "mainLogo1Alt", widget: "string" }
            - { label: "Medienobjekt 2 Quell-URL", name: "mainLogo2Url", widget: "string" }
            - { label: "Medienobjekt 2 Medienbeschreibung", name: "mainLogo2Alt", widget: "string" }
        - label: "Vier Bild-Links im unteren Bereich"
          name: "fourImageLinks"
          widget: "object"
          fields:
            - { label: "Bild 1", name: "image1", widget: "image" }
            - { label: "Bild 1 Ziellink", name: "image1Link", widget: "string" }
            - { label: "Bild 1 Beschreibung", name: "image1Alt", widget: "string" }
            - { label: "Bild 2", name: "image2", widget: "image" }
            - { label: "Bild 2 Ziellink", name: "image2Link", widget: "string" }
            - { label: "Bild 2 Beschreibung", name: "image2Alt", widget: "string" }
            - { label: "Bild 3", name: "image3", widget: "image" }
            - { label: "Bild 3 Ziellink", name: "image3Link", widget: "string" }
            - { label: "Bild 3 Beschreibung", name: "image3Alt", widget: "string" }
            - { label: "Bild 4", name: "image4", widget: "image" }
            - { label: "Bild 4 Ziellink", name: "image4Link", widget: "string" }
            - { label: "Bild 4 Beschreibung", name: "image4Alt", widget: "string" }
        - { label: "Kontakt/Anfahrt Medienobjekt Quell-URL", name: "contactImageUrl", widget: "string" }
        - { label: "Kontakt/Anfahrt Medienobjekt Medienbeschreibung", name: "contactImageAlt", widget: "string" }